﻿using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class CompressCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				GenieFile.ScenarioCompress(input, output);
			}
		}

		public CompressCommand()
		{
			MinArgumentCount = 2;
			Description = "Recompress a decompressed scenario file";
			Help = "Recompress a previously decompressed scenario file."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input binary file> <output scenario>"
				;
		}
	}
}
