﻿using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class DecompressCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				GenieFile.ScenarioDecompress(input, output);
			}
		}

		public DecompressCommand()
		{
			MinArgumentCount = 2;
			Description = "Decompress a scenario file";
			Help = "Decompress a scenario file for hex editing."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output binary file>"
			;
		}
	}
}
