﻿using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class DelBitmapCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			{
				var scn = GenieFile.Deserialize<Scenario>(input);
				var cin = scn.Cinematics;
				cin.BitmapWidth = 0;
				cin.BitmapHeight = 0;
				cin.BitmapUnknown = Scenario.ScnCinematics.ExpectedUnknownBitmapFalse;
				cin.RawBitmap = new byte[0];
				GenieFile.Serialize(scn, output);
			}
		}

		public DelBitmapCommand()
		{
			MinArgumentCount = 2;
			Description = "Remove the pregame bitmap";
			Help = "Remove the pregame bitmap from a scenario."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output scenario>"
			;
		}
	}
}
