﻿using System;
using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class DumpunitsCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			Scenario scn;
			using (var input = File.OpenRead(args[0]))
			{
				scn = GenieFile.Deserialize<Scenario>(input);
			}

			Console.WriteLine("{0,-8} {1,-8} {2,-8} {3}", "ID", "UnitID", "TileID", "Position");
			Console.WriteLine();
			var i = 0;
			scn.Units.ForEach(list => {
				Console.WriteLine("Units of player {0}:", i++);
				list.ForEach(unit => {
					var tilex = (int)(unit.PosX - 0.5);
					var tiley = (int)(unit.PosY - 0.5);
					var tile = scn.Map.LinearTiles[tiley * scn.Map.SizeX + tilex];
					Console.WriteLine("{0,-8} {1,-8} {2,-8} ({3,6:0.##},{4,6:0.##})", unit.Id, unit.UnitId, tile.Id, unit.PosX, unit.PosY);
				});
				Console.WriteLine();
			});
		}

		public DumpunitsCommand()
		{
			MinArgumentCount = 1;
			Description = "Dump units and underlying map tiles";
		}
	}
}

