using System;
using System.IO;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class ExtractCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var file = File.OpenRead(args[0]))
			{
				var cpn = GenieFile.Deserialize<Campaign>(file);
				Console.WriteLine("Extracting \"{0}\"...", cpn.Name);
				cpn.Files.ForEach(x => {
					using (var outfile = File.OpenWrite(x.Filename))
					{
						Console.WriteLine("Extracting \"{0}\" to \"{1}\"...", x.Name, x.Filename);
						outfile.Write(x.RawData);
					}
				});
			}
		}

		public ExtractCommand()
		{
			MinArgumentCount = 1;
			Description = "Extract files from campaign file";
		}
	}
}
