﻿using System.IO;
using Newtonsoft.Json;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class FromJsonCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var input = File.OpenRead(args[0]))
			using (var reader = input.GetReader())
			using (var output = File.OpenWrite(args[1]))
			{
				var str = reader.ReadToEnd();
				var scn = JsonConvert.DeserializeObject<Scenario>(str);
				GenieFile.Serialize(scn, output);
			}
		}

		public FromJsonCommand()
		{
			MinArgumentCount = 2;
			Description = "Convert a JSON file to a scenario";
			Help = "Read a Scenario structure formatted as JSON and save it as a Scenario."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input json> <output scenario>"
			;
		}
	}
}

