﻿using System.IO;
using System.Collections.Generic;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class PackCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			var files = new List<Campaign.CpnFile>();
			for (var i = 2; i < args.Length; i++) {
				var file = new Campaign.CpnFile();
				file.Filename = args[i];
				file.Name = Path.GetFileNameWithoutExtension(file.Filename);
				using (var stream = File.OpenRead(file.Filename))
				using (var memorystream = new MemoryStream())
				{
					stream.CopyTo(memorystream);
					file.RawData = memorystream.ToArray();
				}
				files.Add(file);
			}

			var cpn = new Campaign();
			cpn.Files = files;
			cpn.Name = args[1];
			cpn.Version = "1.00";

			using (var file = File.OpenWrite(args[0]))
			{
				GenieFile.Serialize(cpn, file);
			}
		}

		public PackCommand()
		{
			MinArgumentCount = 3;
			Description = "Pack files into a campaign file";
		}
	}
}

