﻿using System.Collections.Generic;
using System.Windows.Forms;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class Program
	{
		public static void Main(string[] args)
		{
			System.Threading.Thread.CurrentThread.Name = "main";
			Log.SetUncaughtExceptionHandler();

			new CmdApp.Builder()
				.Header("Scenario Editor")
				.NoArg(new MessageBoxCommand())
				.Add("convert", new ConvertCommand())
				.Add("bmp2map", new Bmp2MapCommand())
				.Add("addbmp", new AddBitmapCommand())
				.Add("delbmp", new DelBitmapCommand())
				.Add("compress", new CompressCommand())
				.Add("decompress", new DecompressCommand())
				.Add("tojson", new ToJsonCommand())
				.Add("fromjson", new FromJsonCommand())
				.Add("dumpunits", new DumpunitsCommand())
				.Add("extract", new ExtractCommand())
				.Add("pack", new PackCommand())
				.Build()
				.Run(args);
		}

		private class MessageBoxCommand : CmdApp.Command
		{
			public override void Run(string[] args)
			{
				MessageBox.Show("Start the program on the command line like \n> GenieEdit.exe help");
			}
		}
	}
}
