﻿using System.IO;
using Newtonsoft.Json;
using AdrianKousz.Util;

namespace AdrianKousz.GenieEngine
{
	public class ToJsonCommand : CmdApp.Command
	{
		override public void Run(string[] args)
		{
			using (var input = File.OpenRead(args[0]))
			using (var output = File.OpenWrite(args[1]))
			using (var writer = output.GetWriter())
			{
				var scn = GenieFile.Deserialize<Scenario>(input);
				var result = JsonConvert.SerializeObject(scn, Formatting.Indented);
				writer.WriteLine(result);
			}
		}

		public ToJsonCommand()
		{
			MinArgumentCount = 2;
			Description = "Convert a scenario to a JSON file";
			Help = "Save a Scenario structure formatted as JSON."
				+ "\n"
				+ "\nParameters:"
				+ "\n<input scenario> <output json>"
			;
		}
	}
}
